# Copyright (C) 2012 Dave Smith
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this
# software and associated documentation files (the "Software"), to deal in the Software
# without restriction, including without limitation the rights to use, copy, modify,
# merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit
# persons to whom the Software is furnished to do so, subject to the following conditions:
# 
# The above copyright notice and this permission notice shall be included in all copies
# or substantial portions of the Software.
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
# INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
# PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE
# FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
# OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
# DEALINGS IN THE SOFTWARE.

##
# Constants for configuration flags
module ResConfiguration

	ACONFIGURATION_ORIENTATION_ANY  = 0x0000
	ACONFIGURATION_ORIENTATION_PORT = 0x0001
	ACONFIGURATION_ORIENTATION_LAND = 0x0002
	ACONFIGURATION_ORIENTATION_SQUARE = 0x0003

	ACONFIGURATION_TOUCHSCREEN_ANY  = 0x0000
	ACONFIGURATION_TOUCHSCREEN_NOTOUCH  = 0x0001
	ACONFIGURATION_TOUCHSCREEN_STYLUS  = 0x0002
	ACONFIGURATION_TOUCHSCREEN_FINGER  = 0x0003

	ACONFIGURATION_DENSITY_DEFAULT = 0
	ACONFIGURATION_DENSITY_LOW = 120
	ACONFIGURATION_DENSITY_MEDIUM = 160
	ACONFIGURATION_DENSITY_TV = 213
	ACONFIGURATION_DENSITY_HIGH = 240
	ACONFIGURATION_DENSITY_XHIGH = 320
	ACONFIGURATION_DENSITY_XXHIGH = 480
	ACONFIGURATION_DENSITY_NONE = 0xffff

	ACONFIGURATION_KEYBOARD_ANY  = 0x0000
	ACONFIGURATION_KEYBOARD_NOKEYS  = 0x0001
	ACONFIGURATION_KEYBOARD_QWERTY  = 0x0002
	ACONFIGURATION_KEYBOARD_12KEY  = 0x0003

	ACONFIGURATION_NAVIGATION_ANY  = 0x0000
	ACONFIGURATION_NAVIGATION_NONAV  = 0x0001
	ACONFIGURATION_NAVIGATION_DPAD  = 0x0002
	ACONFIGURATION_NAVIGATION_TRACKBALL  = 0x0003
	ACONFIGURATION_NAVIGATION_WHEEL  = 0x0004

	ACONFIGURATION_KEYSHIDDEN_ANY = 0x0000
	ACONFIGURATION_KEYSHIDDEN_NO = 0x0001
	ACONFIGURATION_KEYSHIDDEN_YES = 0x0002
	ACONFIGURATION_KEYSHIDDEN_SOFT = 0x0003

	ACONFIGURATION_NAVHIDDEN_ANY = 0x0000
	ACONFIGURATION_NAVHIDDEN_NO = 0x0001
	ACONFIGURATION_NAVHIDDEN_YES = 0x0002

	ACONFIGURATION_SCREENSIZE_ANY  = 0x00
	ACONFIGURATION_SCREENSIZE_SMALL = 0x01
	ACONFIGURATION_SCREENSIZE_NORMAL = 0x02
	ACONFIGURATION_SCREENSIZE_LARGE = 0x03
	ACONFIGURATION_SCREENSIZE_XLARGE = 0x04

	ACONFIGURATION_SCREENLONG_ANY = 0x00
	ACONFIGURATION_SCREENLONG_NO = 0x1
	ACONFIGURATION_SCREENLONG_YES = 0x2

	ACONFIGURATION_UI_MODE_TYPE_ANY = 0x00
	ACONFIGURATION_UI_MODE_TYPE_NORMAL = 0x01
	ACONFIGURATION_UI_MODE_TYPE_DESK = 0x02
	ACONFIGURATION_UI_MODE_TYPE_CAR = 0x03
	ACONFIGURATION_UI_MODE_TYPE_TELEVISION = 0x04
	ACONFIGURATION_UI_MODE_TYPE_APPLIANCE = 0x05
	
	ACONFIGURATION_UI_MODE_NIGHT_ANY = 0x00
	ACONFIGURATION_UI_MODE_NIGHT_NO = 0x1
	ACONFIGURATION_UI_MODE_NIGHT_YES = 0x2

	ACONFIGURATION_SCREEN_WIDTH_DP_ANY = 0x0000
	ACONFIGURATION_SCREEN_HEIGHT_DP_ANY = 0x0000
	ACONFIGURATION_SMALLEST_SCREEN_WIDTH_DP_ANY = 0x0000
	
	ACONFIGURATION_MCC = 0x0001
	ACONFIGURATION_MNC = 0x0002
	ACONFIGURATION_LOCALE = 0x0004
	ACONFIGURATION_TOUCHSCREEN = 0x0008
	ACONFIGURATION_KEYBOARD = 0x0010
	ACONFIGURATION_KEYBOARD_HIDDEN = 0x0020
	ACONFIGURATION_NAVIGATION = 0x0040
	ACONFIGURATION_ORIENTATION = 0x0080
	ACONFIGURATION_DENSITY = 0x0100
	ACONFIGURATION_SCREEN_SIZE = 0x0200
	ACONFIGURATION_VERSION = 0x0400
	ACONFIGURATION_SCREEN_LAYOUT = 0x0800
	ACONFIGURATION_UI_MODE = 0x1000
	ACONFIGURATION_SMALLEST_SCREEN_SIZE = 0x2000

end